%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%
%%% David Escobar Sanabria
%%% descobar@aem.umn.edu
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% This function extracts the samples related to the beggining and end of the
%  doublet commands
function [ t0 , n0 , nf , tf] = getDouble( signalIn, time)


offset = round(mode(signalIn));
t0=[0];
n0=[0];
flag=true;
i=1;
nf=[0];
tf=[0];
countDoublet=1;
start=false;
while(flag==true)  
    if( start==false && round(signalIn(i))==offset && i>2 )    
        start=true;
    end
    
    if( start==true && round(signalIn(i)) ~= offset && n0(countDoublet) ==0)
        n0(countDoublet)=i;
        t0(countDoublet)= time(i); 
    end
     
    if(start ==true && round(signalIn(i)) ==offset && round(signalIn(i-2)) ==offset && n0(countDoublet)~=0)
        nf(countDoublet)=i;
        tf(countDoublet)= time(i);
        countDoublet=countDoublet+1;
        n0(countDoublet)=0;
        t0(countDoublet)=0;
        nf(countDoublet)=0;
        tf(countDoublet)=0;
        
    end
    
    i=i+1;
    if(i>= size(signalIn,1))     
        break;
    end
end

if(size(n0,2)>=2 && n0(end)==0)
    n0=n0(1:end-1);
    nf=nf(1:end-1);
    t0=t0(1:end-1);
    tf=tf(1:end-1);
end


end
