/*
 * FILE: gps_crescent.h
 * DESCRIPTION:
 *
 *
 *  Created on: Feb 27, 2010
 *      Author: Rohit Pandita, Zhefeng Li
 *
 * University of Minnesota 
 * Aerospace Engineering and Mechanics 
 *  2011 Regents of the University of Minnesota. All rights reserved.
 * 
 * $Id: gps_crescent.h 253 2011-01-20 22:01:35Z murch $
 */

#ifndef GPS_CRESCENT_H_
#define GPS_CRESCENT_H_


/* function prototypes */
void my_swap( byte *buf, int index, int count );
unsigned char calc_nmea_cksum(byte *sentence);
int parse_gps( int blockid, byte *buf, int datalen, struct gps *gpspkt );
int init_gps(char *portname, int baudrate);
int read_gps(struct gps *gpspkt, int port);

#endif /* GPS_CRESCENT_H_ */
